/*Header et Footer*/
header{
    background: #313234;   
    color: white;    
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    padding: 10px;  
    vertical-align: middle;
    text-align: center;        
    z-index: 100;   
}

footer{
    background: #313234;   
    color: white;    
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    padding: 10px;  
    vertical-align: middle;
    text-align: center;           
}

.export_div{
    position: absolute;
    right:24px;
    top: 6px;
    text-align: right;
    z-index: 110;
    color: white;
}

a {
    color: #33c499;
}


/*body*/
body{
    background-color: #1f2022; 
    color: #fff;
}

/*Vertically Centered Div*/
.centered_div{
    margin-top:40vh;
    transform: translateY(-40%);
}

/*#####################################################################################
/*Loading Screen*/
#loading_screen{
    display: none;
}

#loading_background{
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background: #000a;
}

#loading_circle {
    position: absolute;
    top: 50%;
    left: 50%;    
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 50px;
    height: 50px;
    margin: -38px 0 0 -38px;
    animation: spin 2s linear infinite;
}
  
@keyframes spin {
0% { transform: rotate(0deg); }
100% { transform: rotate(360deg); }
}


/*Logging*/
.login_div{
    position: absolute;
    right:10px;
    top: 16px;
    text-align: right;
    z-index: 110;
    color: white;
}

.logout_div{
    position: absolute;
    right:10px;
    top: 40px;
    text-align: right;
    z-index: 110;
    color: white;
}

/*Corps de la page*/
.interface{
    color: white;  
    margin-top: 100px;
    margin-bottom: 60px;
}

/*Separator*/
.separator{
    margin: 20px 100px 20px 100px;
    width: 70%;
    height: 2px;
    background: #85aad3;
}

/*Tableau Menu Principal*/
#main_menu_table{
    position: absolute;    
    width: 450px;
    height: 300px; 
    top: 50%;
    left: 50%;
    margin-top: -150px;
    margin-left: -225px;
}

#main_menu_table, #main_menu_table td, #main_menu_table th{  
    text-align: center;  
    border: 0px solid transparent;
    border-spacing: 0;
    border-collapse: collapse;
    color: white;
}

/*Tableau commentaire*/
.comment_table{
    position: absolute;
    top: 8px;
    left: 60px;
}

/*Tableau de résultat requète*/
.result_table{
    margin: auto;
}

.result_table, .result_table td, .result_table th{   
    border-spacing: 1;
    border-collapse: collapse;
    padding: 8px;
    border: 1px solid #323032;
}

.result_table th{
    background-color: #2a4c85;
}

.result_table_row0{
    background-color: #1f2022;
}

.result_table_row1{
    background-color: #2d2b2d;
}

.result_table_row_separator{
    background-color: #2a6185;
    text-align: center;    
}

/*Tableau Feuille Heures */
.hoursheet_table{
    margin: auto; 
    table-layout: fixed;
    width: 800px;  
    text-align: center;  
}

.hoursheet_table, .hoursheet_table td, .hoursheet_table th{   
    border-spacing: 1;
    border-collapse: collapse;
    padding: 8px;
    border: 1px solid #323032;
    height: 30px;
}

.hoursheet_highlight{
    background-color: #2a4c85;
}

.table_highlight_right{
    background-color: #2a4c85;
    text-align: end;
}

/*Tableau Bon Intervention*/
.intervention_table{
    margin: auto; 
    text-align: center;
    color: #050505;
}

.intervention_table, .intervention_table td, .intervention_table th{   
    border-spacing: 1;
    border-collapse: collapse;
    padding: 8px;
    border: 1px solid #A6A7A7;
    height: 30px;
}

.intervention_table th{
    background-color: #C0BEBF;
}

/*Floating Table*/
.floating_table{
    display: none;
    margin: 0px 8px 0px 8px;
    text-align: center;
    color: #050505;
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 100;
}

.floating_table, .floating_table td, .floating_table th{   
    border-spacing: 1;
    border-collapse: collapse;
    padding: 8px;
    border: 1px solid #A6A7A7;
    height: 30px;
}

.floating_table th{
    background-color: #C0BEBF;
}

/*Styles bon intervention*/
.bon_interv_style0{
    background-color: #90D3D3 !important;
}

.bon_interv_style1{
    background-color: #63BDEA !important;
}

.bon_interv_style2{
    background-color: #F9EF57 !important;
}

.bon_interv_style3{
    background-color: #F7948E !important;
}

.bon_interv_style4{
    background-color: #D5D5D5 !important;
}

.bon_interv_style5{
    background-color: #C0BEBF !important;
}

.bon_interv_style6{
    background-color: #EE220C !important;
}

/*Tableau Invisible même largeur que tableau hoursheet*/
.invisble_fixed_table{
    margin: auto; 
    table-layout: fixed;
    width: 800px;  
    text-align: center;  
}

/*Label Mis en évidence*/
.highlighted {
    color: #33c499;
    background-color: #112c59;
    padding: 8px;
}

.highlighted_red {
    color: #8d0000;
    background-color: #112c59;
    padding: 8px;
}

/*Rounded Button*/
.rounded_button_green{
    background-color: #4CAF50;
    border: none;
    color: white;
    padding: 8px 12px 8px 12px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    height: 40px;
    min-width: 80px;
    margin: 8px;
    border-radius: 10px;
}

.rounded_button_little_red{
    background-color: #8d0000;
    border: none;
    color: white;
    padding: 4px 6px 4px 6px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 12px;
    height: 25px;
    min-width: 40px;
    margin: 8px;
    border-radius: 10px;
}

.rounded_button_red{
    background-color:#8d0000;
    border: none;
    color: white;
    padding: 8px 12px 8px 12px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    height: 40px;
    min-width: 80px;
    margin: 8px;
    border-radius: 10px;
}

.back_button{
    background-color:#8d0000;
    border: none;
    color: white;
    padding: 8px 12px 8px 12px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    height: 40px;
    width: 120px;
    margin: 8px;
    border-radius: 10px;
    position: absolute;
    top: 16px;
    left: 160px;
}

.mainmenu_button{
    background-color:#4CAF50;
    border: none;
    color: white;
    padding: 8px 12px 8px 12px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    height: 40px;
    width: 120px;
    margin: 8px;
    border-radius: 10px;
    position: absolute;
    top: 16px;
    left: 20px;    
}

.download_button{
    background: url(assets/download_icon.png);
    background-repeat: no-repeat;
    background-size: contain;
    display: inline-block;
    border: none;
    height: 40px;
    width: 40px;
}

/*Input Styling*/
.cell{
    width: 40px;
}

.cell2{
    width: 60px;
}

input[type=text], input[type=password] ,select{    
    padding: 12px 20px;
    margin: 4px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

input[type=date]{
    padding: 12px 20px;
    margin: 4px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.date_input{
    width: 40px;        
    padding: 12px 0px !important;
    margin: 0px !important;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    text-align: center;
}

.year_input{
    width: 80px;        
    padding: 12px 0px !important;
    margin: 0px !important;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    text-align: center;
}

#style0{
    margin-bottom: 16px;
    padding: 8px;
    background-color: #313234;
}

/*IFrame carnet de liaison*/
.book_frame{
    border: none;
    width: 15%;
    height: 86%;
    position: absolute;
    left: 0%;
    top: 0%;
    margin-left: 8px;
    margin-top: 90px;
}

/*Tabs*/
#tabs{
    cursor: pointer;
    position: fixed;
    left: 0;
    bottom: 40px;
    width: 100%;     
    overflow: auto;
    white-space: nowrap;
    margin-top: 0px; 
}

#tabs a{
    font: normal 12px arial, sans, sans-serif;
    min-width: 80px;
    margin-left: -5px;
    display: inline-block;
    background-color: white;
    color: #3874b6;
    text-align: center;
    padding: 8px 14px 8px 14px;
    text-decoration: none;
    border-left: 1px solid #1f2022;
}

#tabs a:hover{
    color: black; 
}

#tabs a.active_tab{
    background: #3874b6;
    color:white;
    font-weight: bold;
}

#interv_frame{
    border:none;
    position: absolute;
    top: 80px;
    width: 99.99%;
    height: 83.2%;
    left: 0;    
}

#download_link_div{
    position: absolute;
    top: 88px;
    left: 12px;
    z-index: 20;  
}

#loading_div{
    position: absolute;
    top: 0;
    left: 0;
    width:100%;
    height:100%;
    z-index: 200;
    background: #000000aa;
    display: none;
}

#loading_circle{
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
}